Skip to content

Manage accounts payable records.

Operations

getVendor

POST

Retrieves a vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendor
POST /nexum/627/2022.01/accountspayable/getVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getVendorSelectFields

POST

Retrieves a vendor with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendorSelectFields
POST /nexum/627/2022.01/accountspayable/getVendorSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllVendorFields": true
  }
}

getVendorSelectFieldsFilterChildren

POST

Retrieves a vendor with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendorSelectFieldsFilterChildren
POST /nexum/627/2022.01/accountspayable/getVendorSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllVendorFields": true
  },
  "ChildrenSearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoice

POST

Retrieves an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoice
POST /nexum/627/2022.01/accountspayable/getInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceSelectFields

POST

Returns selected fields for an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "InvoiceDate": true,
      "DueDateFinal": true,
      "TotalInvoiceAmtDue": true,
      "Type": true,
      "Status": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceSelectFieldsFilterChildren

POST

Retrieves an invoice with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceSelectFieldsFilterChildren
POST /nexum/627/2022.01/accountspayable/getInvoiceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "ChildrenSearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoicePagedList

POST

Retrieves a paged list of invoices.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getInvoicePagedList
POST /nexum/627/2022.01/accountspayable/getInvoicePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceListSelectFields

POST

Retrieves a list of invoices with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceListSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchInvoiceSelectFields

POST

Searches invoices with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/searchInvoiceSelectFields
POST /nexum/627/2022.01/accountspayable/searchInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoicePagedListSelectFields

POST

Returns a page of invoice selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getInvoicePagedListSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoicePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "TotalInvoiceAmtDue": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchInvoicePagedSelectFields

POST

Searches invoices and returns selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/searchInvoicePagedSelectFields
POST /nexum/627/2022.01/accountspayable/searchInvoicePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "TotalInvoiceAmtDue": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceNote

POST

Retrieves a note associated with an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
InvoiceNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceNote
POST /nexum/627/2022.01/accountspayable/getInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceNoteSelectFields

POST

Returns selected fields for an invoice note.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
InvoiceNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceNoteSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": false,
    "InvoiceNoteFields": {
      "Locator": true,
      "Code": true,
      "Text": [
        0
      ],
      "UserId": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceNotePagedList

POST

Retrieves a paged list of invoice notes.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceNotePagedList
POST /nexum/627/2022.01/accountspayable/getInvoiceNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceNoteListSelectFields

POST

Retrieves a list of invoice notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceNoteListSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchInvoiceNoteSelectFields

POST

Searches invoice notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/searchInvoiceNoteSelectFields
POST /nexum/627/2022.01/accountspayable/searchInvoiceNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceNotePagedListSelectFields

POST

Returns a page of invoice note selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceNotePagedListSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": false,
    "InvoiceNoteFields": {
      "Locator": true,
      "Code": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchInvoiceNotePagedSelectFields

POST

Searches invoice notes and returns selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/searchInvoiceNotePagedSelectFields
POST /nexum/627/2022.01/accountspayable/searchInvoiceNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": false,
    "InvoiceNoteFields": {
      "Locator": true,
      "Code": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getVendorFmHistoryPagedList

POST

Retrieves a paged list of vendor FM history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getVendorFmHistoryPagedList
POST /nexum/627/2022.01/accountspayable/getVendorFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getVendorFmHistoryListSelectFields

POST

Retrieves a list of vendor FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendorFmHistoryListSelectFields
POST /nexum/627/2022.01/accountspayable/getVendorFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllVendorFmHistoryFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchVendorFmHistorySelectFields

POST

Searches vendor FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/searchVendorFmHistorySelectFields
POST /nexum/627/2022.01/accountspayable/searchVendorFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllVendorFmHistoryFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getVendorFmHistoryPagedListSelectFields

POST

Returns a page of vendor FM history selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getVendorFmHistoryPagedListSelectFields
POST /nexum/627/2022.01/accountspayable/getVendorFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllVendorFmHistoryFields": false,
    "VendorFmHistoryFields": {
      "PostDate": true,
      "RecordName": true,
      "FieldName": true,
      "OldCharacter": true,
      "NewCharacter": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchVendorFmHistoryPagedSelectFields

POST

Searches vendor FM history and returns selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/searchVendorFmHistoryPagedSelectFields
POST /nexum/627/2022.01/accountspayable/searchVendorFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllVendorFmHistoryFields": false,
    "VendorFmHistoryFields": {
      "PostDate": true,
      "RecordName": true,
      "FieldName": true,
      "OldCharacter": true,
      "NewCharacter": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateVendorByID

POST

Updates a vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/updateVendorByID
POST /nexum/627/2022.01/accountspayable/updateVendorByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "VendorUpdatableFields": {
    "Name": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateInvoiceByID

POST

Updates an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InvoiceLocatorintegeroptional
VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/updateInvoiceByID
POST /nexum/627/2022.01/accountspayable/updateInvoiceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceUpdatableFields": {
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateInvoiceNoteByID

POST

Updates an invoice note.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InvoiceNoteLocatorintegeroptional
VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/updateInvoiceNoteByID
POST /nexum/627/2022.01/accountspayable/updateInvoiceNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "InvoiceNoteUpdatableFields": {
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createVendor

POST

Creates a new vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
VendorNumberstringoptional
POST/nexum/{sym}/2022.01/accountspayable/createVendor
POST /nexum/627/2022.01/accountspayable/createVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "VendorCreatableFields": {
    "Number": "string",
    "Name": "string",
    "Payee": "string",
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  }
}

createInvoice

POST

Creates a new invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
InvoiceLocatorintegeroptional
POST/nexum/{sym}/2022.01/accountspayable/createInvoice
POST /nexum/627/2022.01/accountspayable/createInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InvoiceCreatableFields": {
    "Number": "string",
    "Description": "string",
    "InvoiceDate": "2026-01-01",
    "DueDateFinal": "2026-01-01",
    "TotalInvoiceAmtDue": "string",
    "Type": 0,
    "Status": 0
  },
  "VendorNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createInvoiceNote

POST

Creates a note for an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
InvoiceNoteLocatorintegeroptional
POST/nexum/{sym}/2022.01/accountspayable/createInvoiceNote
POST /nexum/627/2022.01/accountspayable/createInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InvoiceNoteCreatableFields": {
    "Code": 0,
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "UserId": 0
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteVendor

POST

Deletes a vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringrequired
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/accountspayable/deleteVendor
POST /nexum/627/2022.01/accountspayable/deleteVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteInvoice

POST

Deletes an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/accountspayable/deleteInvoice
POST /nexum/627/2022.01/accountspayable/deleteInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteInvoiceNote

POST

Deletes a note associated with an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
InvoiceNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/accountspayable/deleteInvoiceNote
POST /nexum/627/2022.01/accountspayable/deleteInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}